Class | Ramaze::Bin::Create
In: | lib/ramaze/bin/create.rb
Parent: | Object

Simple command that allows users to easily create a new application based on the prototype that ships with Ramaze.

Usage:

       ramaze create blog

@author Yorick Peterse @since 21-07-2011

### Methods

new run

### Constants

Description | = | 'Allows developers to easily create new Ramaze applications.' |  | The description of this command as shown in the global help message.
Banner | = | <<-TXT.strip Allows developers to easily create new Ramaze applications based on the prototype that ships with Ramaze. Usage: ramaze create [NAME] [OPTIONS] Example: ramaze create blog TXT .strip |  | The banner of this command.

### Public Class methods

new()

Creates a new instance of the command and sets the options for OptionParser.

@author Yorick Peterse @since 21-07-2011

### Public Instance methods

run(argv = [])

Runs the command based on the specified command line arguments.

@author Yorick Peterse @since 21-07-2011 @param [Array] argv Array containing all command line arguments.

[Validate]